# Italian

@Serializable(with = IetfLangSerializer::class )
sealed interface Italian : IetfLang (source)

#### Inheritors

CH
IT
SM
VA
Companion

## Types

CH
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object CH : IetfLang.Italian
Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.Italian
IT
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object IT : IetfLang.Italian
SM
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object SM : IetfLang.Italian
VA
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object VA : IetfLang.Italian

## Properties

code
Link copied to clipboard
abstract val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale